library(tidyverse)
m <- readxl::read_excel("metals.xlsx")

d <- dist(m[,2:7]) 
as.matrix(d) %>%  View()

PCA <- prcomp(d)
str(PCA)

data.frame(x = PCA$sdev) %>% 
  mutate(x = round(x/sum(x)*100, 1)) %>% 
  ggplot(aes(1:20, x, label = round(x, 1))) + 
  geom_col(fill = "grey")+ 
  geom_point() + 
  geom_line() + 
  geom_label(nudge_y = 5, alpha = 0.5) +
  labs(x = "Axis", y = "Дисперсия") +
  theme_classic()

eigenvalues = round(PCA$sdev/sum(PCA$sdev)*100, 1)

PCA$rotation %>% 
  as.data.frame() %>% 
  select(1:2) %>% 
  cbind(m[,c(1, 8:11)]) %>% 
  ggplot(aes(x = PC1, y = PC2, 
             color = slope, fill = slope)) + 
  geom_point()

PCA$rotation %>% 
  as.data.frame() %>% 
  select(1:2) %>% 
  cbind(m[,c(1, 8:11)]) %>% 
  ggplot(aes(x = PC1, y = PC2, 
             color = exposition, label = `№`)) + 
  geom_label(alpha = 0.7) +
  theme_light() + 
  theme(legend.position = "bottom") +
  labs(x = paste0("Ось 1, ", eigenvalues[1], "%"), 
       y = paste0("Ось 1, ", eigenvalues[2], "%"))
